aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joe Smith (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AURORA-529) pants is broken
Date Sat, 14 Jun 2014 19:31:02 GMT

    [ https://issues.apache.org/jira/browse/AURORA-529?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14031670#comment-14031670
] 

Joe Smith commented on AURORA-529:
----------------------------------

Added this in {{3rdparty/python/BUILD}} and moved the dependencies to {{3rdparty/python/requirements.txt}}

{{python_requirements(target_type=python_requirement_library)}}

Leads us a bit further, now we've got:

{noformat}
Failed to run test!
Traceback (most recent call last):
  File "/Users/joe/Development/incubator-aurora/build-support/pants.pex/pants/backend/python/test_builder.py",
line 180, in _run_python_tests
    builder = chroot.dump()
  File "/Users/joe/Development/incubator-aurora/build-support/pants.pex/pants/backend/python/python_chroot.py",
line 154, in dump
    self._dump_library(lib)
  File "/Users/joe/Development/incubator-aurora/build-support/pants.pex/pants/backend/python/python_chroot.py",
line 100, in _dump_library
    copy_to_chroot(library.target_base, relpath, self._builder.add_source)
  File "/Users/joe/Development/incubator-aurora/build-support/pants.pex/pants/backend/python/python_chroot.py",
line 96, in copy_to_chroot
    add_function(src, path)
  File "/Users/joe/.pex/install/twitter.common.python-0.5.6-py2-none-any.whl.ada7529302a0af8a8f15c2d8a7b811fb9d26b7a2/twitter.common.python-0.5.6-py2-none-any.whl/twitter/common/python/pex_builder.py",
line 104, in add_source
    self._chroot.link(filename, env_filename, "source")
  File "/Users/joe/.pex/install/twitter.common.python-0.5.6-py2-none-any.whl.ada7529302a0af8a8f15c2d8a7b811fb9d26b7a2/twitter.common.python-0.5.6-py2-none-any.whl/twitter/common/python/common.py",
line 269, in link
    os.link(abs_src, abs_dst)
OSError: [Errno 2] No such file or directory
src.test.python.apache.aurora.admin.host_maintenance                            ..... EXCEPTION
{noformat}

> pants is broken
> ---------------
>
>                 Key: AURORA-529
>                 URL: https://issues.apache.org/jira/browse/AURORA-529
>             Project: Aurora
>          Issue Type: Bug
>            Reporter: Joe Smith
>            Assignee: Joe Smith
>            Priority: Blocker
>
> {noformat}
> [tw-mbp13-jsmith aurora (master)]$ ./pants ./src/test/python/apache/aurora/admin:all
> Build operating on targets: OrderedSet([PythonTestSuite(src/test/python/apache/aurora/admin/BUILD:all)])
> Failed to run test!
> Traceback (most recent call last):
>   File "/Users/jsmith/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.acd44f4c0cf3576608ff18b2adafeff6f0b8f65f/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/test_builder.py",
line 204, in _run_python_test
>     builder = chroot.dump()
>   File "/Users/jsmith/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.acd44f4c0cf3576608ff18b2adafeff6f0b8f65f/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/python_chroot.py",
line 201, in dump
>     platforms=platforms)
>   File "/Users/jsmith/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.acd44f4c0cf3576608ff18b2adafeff6f0b8f65f/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/resolver.py",
line 109, in resolve_multi
>     platform=platform)
>   File "/Users/jsmith/.pex/install/twitter.common.python-0.5.6-py2-none-any.whl.966710ef4887d077b27ee1d9cc3725372604d0ef/twitter.common.python-0.5.6-py2-none-any.whl/twitter/common/python/resolver.py",
line 98, in resolve
>     raise Unsatisfiable('Cannot satisfy requirements: %s' % requirement_set[requirement.key])
> Unsatisfiable: Cannot satisfy requirements: [PythonRequirement(coverage==3.6b1), Requirement.parse('coverage>=3.6')]
> src.test.python.apache.aurora.admin.host_maintenance                            .....
EXCEPTION
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message